<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>angular</groupId>
  <artifactId>angular_login</artifactId>
  <version>1.0-SNAPSHOT</version>
  <packaging>war</packaging>

  <name>angular_login Maven Webapp</name>
  <!-- FIXME change it to the project's website -->
  <url>http://www.example.com</url>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>1.7</maven.compiler.source>
    <maven.compiler.target>1.7</maven.compiler.target>
  </properties>

  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <finalName>angular_login</finalName>
      <plugins>
        <plugin>
            <groupId>com.github.eirslett</groupId>
            <artifactId>frontend-maven-plugin</artifactId>
            <version>1.6</version>
            <configuration>
                <workingDirectory>src/main/frontend</workingDirectory>
            </configuration>
            <executions>
                <execution>
                    <id>install-node-and-npm</id>
                    <goals>
                        <goal>install-node-and-npm</goal>
                    </goals>
                    <configuration>
                        <nodeVersion>v10.16.1</nodeVersion>
                    </configuration>
                </execution>
                <execution>
                    <id>npm install</id>
                    <goals>
                        <goal>npm</goal>
                    </goals>
                    <configuration>
                        <arguments>install</arguments>
                    </configuration>
                </execution>
                <execution>
                    <id>npm build</id>
                    <goals>
                        <goal>npm</goal>
                    </goals>
                    <configuration>
                        <arguments>run buildProduction</arguments>
                    </configuration>
                    <phase>generate-resources</phase>
                </execution>
            </executions>
         </plugin> 
                <plugin>
                      <artifactId>maven-war-plugin</artifactId>
                      <version>3.2.2</version>
                      <configuration>
                          <failOnMissingWebXml>false</failOnMissingWebXml>
                          <!-- Add frontend folder to war package -->
                            <webResources>
                                <resource>
                                    <directory>src/main/frontend/dist/frontend</directory>
                                </resource>
                            </webResources>
                      </configuration>
                </plugin>
                <plugin>
            		<groupId>org.wildfly.plugins</groupId>
                      <artifactId>wildfly-maven-plugin</artifactId>
                      <version>2.0.2.Final</version>	
                      <configuration>
                        <hostname>172.17.0.3</hostname>
                        <port>9990</port>
                        <username>mabel</username>
                        <password>1234</password>
                        <filename>angular_login.war</filename>
                         <batch>true</batch>
                        <fail-on-error>false</fail-on-error>
                     </configuration>
                </plugin>     
      </plugins>
  </build>
</project>
